.TH SPECIAL_SGI64 1 "Nov 25 1994" "Stanford University" "SUIF Compiler"
.SH NAME
special_sgi64 \- special processing for SGI64 back-end
.SH SYNOPSIS
.B special_sgi64
{ -in | -out }
.I infile
.I outfile
{
.I infile
.I outfile
}*
.SH DESCRIPTION
The
.I special_sgi64
program does special processing to interface with the SGI64 back-end
compiler.  It does this by means of ``#pragma'' lines, both
``#pragma'' lines in the input from system header files that give SUIF
information about the back-end, and ``#pragma'' lines that SUIF puts
in the output C files to communicate information SUIF has to the
back-end compiler.  It also does special optimizations that are
specific to the SGI64 back-end.
.sp
This program should be run twice, once after the front end with the
``-in'' option to read in annotations, and once just before s2c with
the ``-out'' option.
.SH HISTORY
This program was written by Chris Wilson.
